/*
Core

Testing MediaCenterAPIService

*/

// Code generated by OpenAPI Generator (https://openapi-generator.tech);

package coreapi

import (
	"context"
	"github.com/stretchr/testify/assert"
	"github.com/stretchr/testify/require"
	"testing"
	openapiclient "bitbucket.org/_SLACE_/clients/go/coreapi"
)

func Test_coreapi_MediaCenterAPIService(t *testing.T) {

	configuration := openapiclient.NewConfiguration()
	apiClient := openapiclient.NewAPIClient(configuration)

	t.Run("Test MediaCenterAPIService CreateMediaCenterFile", func(t *testing.T) {

		t.Skip("skip test")  // remove to run test

		var channelId string

		resp, httpRes, err := apiClient.MediaCenterAPI.CreateMediaCenterFile(context.Background(), channelId).Execute()

		require.Nil(t, err)
		require.NotNil(t, resp)
		assert.Equal(t, 200, httpRes.StatusCode)

	})

	t.Run("Test MediaCenterAPIService CreateMediaCenterFileVariant", func(t *testing.T) {

		t.Skip("skip test")  // remove to run test

		var channelId string

		resp, httpRes, err := apiClient.MediaCenterAPI.CreateMediaCenterFileVariant(context.Background(), channelId).Execute()

		require.Nil(t, err)
		require.NotNil(t, resp)
		assert.Equal(t, 200, httpRes.StatusCode)

	})

	t.Run("Test MediaCenterAPIService GetChannelMediaCenterFile", func(t *testing.T) {

		t.Skip("skip test")  // remove to run test

		var channelId string
		var id string

		resp, httpRes, err := apiClient.MediaCenterAPI.GetChannelMediaCenterFile(context.Background(), channelId, id).Execute()

		require.Nil(t, err)
		require.NotNil(t, resp)
		assert.Equal(t, 200, httpRes.StatusCode)

	})

	t.Run("Test MediaCenterAPIService GetChannelMediaCenterFiles", func(t *testing.T) {

		t.Skip("skip test")  // remove to run test

		var channelId string

		resp, httpRes, err := apiClient.MediaCenterAPI.GetChannelMediaCenterFiles(context.Background(), channelId).Execute()

		require.Nil(t, err)
		require.NotNil(t, resp)
		assert.Equal(t, 200, httpRes.StatusCode)

	})

	t.Run("Test MediaCenterAPIService GetMediaCenterFileVaariant", func(t *testing.T) {

		t.Skip("skip test")  // remove to run test

		var channelId string
		var variantId string

		resp, httpRes, err := apiClient.MediaCenterAPI.GetMediaCenterFileVaariant(context.Background(), channelId, variantId).Execute()

		require.Nil(t, err)
		require.NotNil(t, resp)
		assert.Equal(t, 200, httpRes.StatusCode)

	})

	t.Run("Test MediaCenterAPIService GetMediaCenterFileVariants", func(t *testing.T) {

		t.Skip("skip test")  // remove to run test

		resp, httpRes, err := apiClient.MediaCenterAPI.GetMediaCenterFileVariants(context.Background()).Execute()

		require.Nil(t, err)
		require.NotNil(t, resp)
		assert.Equal(t, 200, httpRes.StatusCode)

	})

	t.Run("Test MediaCenterAPIService GetMediaFileVariantByKey", func(t *testing.T) {

		t.Skip("skip test")  // remove to run test

		var channelId string
		var fileKey string
		var variantKey string

		resp, httpRes, err := apiClient.MediaCenterAPI.GetMediaFileVariantByKey(context.Background(), channelId, fileKey, variantKey).Execute()

		require.Nil(t, err)
		require.NotNil(t, resp)
		assert.Equal(t, 200, httpRes.StatusCode)

	})

	t.Run("Test MediaCenterAPIService GetMediaFileVariantDefault", func(t *testing.T) {

		t.Skip("skip test")  // remove to run test

		var channelId string
		var fileKey string

		resp, httpRes, err := apiClient.MediaCenterAPI.GetMediaFileVariantDefault(context.Background(), channelId, fileKey).Execute()

		require.Nil(t, err)
		require.NotNil(t, resp)
		assert.Equal(t, 200, httpRes.StatusCode)

	})

	t.Run("Test MediaCenterAPIService UpdateMediaCenterFile", func(t *testing.T) {

		t.Skip("skip test")  // remove to run test

		var channelId string
		var id string

		resp, httpRes, err := apiClient.MediaCenterAPI.UpdateMediaCenterFile(context.Background(), channelId, id).Execute()

		require.Nil(t, err)
		require.NotNil(t, resp)
		assert.Equal(t, 200, httpRes.StatusCode)

	})

	t.Run("Test MediaCenterAPIService UpdateMediaCenterFileVariant", func(t *testing.T) {

		t.Skip("skip test")  // remove to run test

		var channelId string
		var variantId string

		resp, httpRes, err := apiClient.MediaCenterAPI.UpdateMediaCenterFileVariant(context.Background(), channelId, variantId).Execute()

		require.Nil(t, err)
		require.NotNil(t, resp)
		assert.Equal(t, 200, httpRes.StatusCode)

	})

}
